<div class="example-container">
  <mat-card>
    <mat-card-title> Veuillez renseigner les différents champs </mat-card-title>
    <mat-card-content>
      <mat-progress-bar
        mode="indeterminate"
        *ngIf="isLoading"
      ></mat-progress-bar>
      <!-- Si le film et les catégories sont bien chargé -->
      <div class="content-loadings">
        <div *ngIf="categoriesLoading">
          <h3>Chargement des catégories</h3>
          <mat-progress-spinner
            color="accent"
            mode="indeterminate"
          ></mat-progress-spinner>
        </div>
        <div *ngIf="filmLoading">
          <h3>Récupération du film</h3>
          <mat-progress-spinner
            color="accent"
            mode="indeterminate"
          ></mat-progress-spinner>
        </div>
      </div>
      <form
        class="form"
        (ngSubmit)="enregistrer()"
        *ngIf="!categoriesLoading && !filmLoading"
      >
        <div class="content-form">
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer un titre </mat-label>
            <input
              [(ngModel)]="film.titre"
              name="titre"
              type="text"
              matInput
              required
            />
          </mat-form-field>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer une durée </mat-label>
            <input
              [(ngModel)]="film.duree"
              [defaultValue]="0"
              name="duree"
              type="number"
              matInput
              required
            />
          </mat-form-field>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer un résume </mat-label>
            <textarea
              rows="4"
              mat-input
              [(ngModel)]="film.resume"
              name="resume "
              type="text"
              required
              matInput
            ></textarea>
          </mat-form-field>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer une version</mat-label>
            <mat-select [(ngModel)]="film.version" name="text" required>
              <mat-option value="VORIGINALE"> VORIGINALE </mat-option>
              <mat-option value="VFRANCAISE"> VFRANCAISE </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer une categorie </mat-label>
            <mat-select [(ngModel)]="film.categorie" name="categorie" required>
              <mat-option *ngFor="let c of categories" [value]="c">
                {{ c.nom }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <mat-divider></mat-divider>
        <mat-card-actions>
          <button mat-raised-button color="primary" type="submit" [disabled]="isLoading">
            {{ id ? "Modifier" : "Ajouter" }}
          </button>
          <button type="button" mat-raised-button color="accent" (click)="goBack()">
            Retour
          </button>
        </mat-card-actions>
      </form>
    </mat-card-content>
  </mat-card>
</div>
